Bug 784873

Summary: LDAP integrated user login issue with fresh browser cache
Product: [Other] RHQ Project Reporter: Simeon Pinder <spinder>
Component: Core UIAssignee: Simeon Pinder <spinder>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 4.2CC: dsteigne, hrupp, loleary
Target Milestone: ---   
Target Release: RHQ 4.3.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 785019 (view as bug list) Environment:
Last Closed: 2013-08-31 06:15:38 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 782579, 785019    

Description Simeon Pinder 2012-01-26 09:28:23 EST
Description of problem:
When LDAP integration is configured, user's attempting to log into the GWT ui get a blank screen and are unable to login.  If an RHQ user logs into the UI first from the browser, there is no problem with LDAP only users logging in in those cases. 

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. Configure LDAP integration with external LDAP groups.
2. Clear browser cache and then attempt to login with valid ldap credentials.
3. 
  
Actual results:
Login does not occur bug a blank screen occurs.

Expected results:
Regular login.

Additional info:
Comment 1 Simeon Pinder 2012-01-26 11:33:41 EST
Browser debug error message. Looks like it's missing some key files that are not loaded by registration page only.  If message dialog was present we would have seen the exception there as well. 

--------
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:25,088 [INFO ] Suppressing load of SearchGUI module
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:25,110 [INFO ] response text = 0:-1997324527:1327549585086
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:25,113 [INFO ] sessionAccess-subjectId: 0
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:25,113 [INFO ] sessionAccess-sessionId: -1997324527
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:25,114 [INFO ] sessionAccess-lastAccess: 1327549585086
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:25,116 [INFO ] sessionAccess-previousSessionId: -1997324527
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:25,119 [INFO ] sessionAccess-reschedulingSessionTimeout: 3599969
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:25,122 [TRACE] Unable to locate information critical to ldap registration/account lookup. Log back in.
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:51,467 [INFO ] response text = 0:-37097246:1327549611463
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:51,468 [INFO ] sessionAccess-subjectId: 0
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:51,469 [INFO ] sessionAccess-sessionId: -37097246
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:51,470 [INFO ] sessionAccess-lastAccess: 1327549611463
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:51,471 [INFO ] sessionAccess-previousSessionId: -1997324527
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:51,472 [INFO ] sessionAccess-savingSessionId: -37097246
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:51,473 [INFO ] sessionAccess-schedulingSessionTimeout: 3600000
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:51,494 [DEBUG] RPC method invocation: SubjectGWTService_Proxy.findSubjectsByCriteria
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:51,502 [DEBUG] RPCTracker register: TrackingRequestCallback[id=0, name=SubjectGWTService_Proxy.findSubjectsByCriteria, age=6]
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:51,504 [TRACE] RPCTracker queue depth is 1
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:51,506 [DEBUG] SessionRpcRequestBuilder is adding sessionId(-37097246) to request(http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/SubjectGWTService)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:51,521 [TRACE] TrackingRequestCallback[id=0, name=SubjectGWTService_Proxy.findSubjectsByCriteria, age=25]: 200/OK
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:51,522 [TRACE] RPCTracker success: TrackingRequestCallback[id=0, name=SubjectGWTService_Proxy.findSubjectsByCriteria, age=26]
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:51,523 [TRACE] RPCTracker queue depth is 0
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:51,526 [TRACE] Proceeding with registration for ldap user 'testuser1'.
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:51,537 [ERROR] At [Wed Jan 25 22:46:51 GMT-500 2012] MessageCenter received: Globally uncaught exception
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 22:46:51,538 [WARN ] Globally uncaught exception
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919com.google.gwt.core.client.JavaScriptException:
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(TypeError): Cannot read property 'org_rhq_core_domain_common_ProductInfo_name' of null
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919 arguments: org_rhq_core_domain_common_ProductInfo_name,
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919 type: non_object_property_load
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919 stack: TypeError: Cannot read property 'org_rhq_core_domain_common_ProductInfo_name' of null
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919    at org_rhq_core_domain_common_ProductInfo_$getName__Lorg_rhq_core_domain_common_ProductInfo_2Ljava_lang_String_2 (http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/4F02A071E193B0DEB833673E81ED0CC7.cache.html:52660:21)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919    at org_rhq_enterprise_gui_coregui_client_LoginView_$showRegistrationDialog__Lorg_rhq_enterprise_gui_coregui_client_LoginView_2Ljava_lang_String_2Ljava_lang_String_2Ljava_lang_String_2Lcom_google_gwt_user_client_rpc_AsyncCallback_2V (http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/4F02A071E193B0DEB833673E81ED0CC7.cache.html:87385:252)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919    at org_rhq_enterprise_gui_coregui_client_UserSessionManager$4$1_$onSuccess__Lorg_rhq_enterprise_gui_coregui_client_UserSessionManager$4$1_2Lorg_rhq_core_domain_util_PageList_2V (http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/4F02A071E193B0DEB833673E81ED0CC7.cache.html:97732:5)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919    at Object.org_rhq_enterprise_gui_coregui_client_UserSessionManager$4$1_onSuccess__Ljava_lang_Object_2V [as onSuccess__Ljava_lang_Object_2V] (http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/4F02A071E193B0DEB833673E81ED0CC7.cache.html:97753:3)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919    at Object.com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V [as onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V] (http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/4F02A071E193B0DEB833673E81ED0CC7.cache.html:14940:80)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919    at Object.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V [as onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V] (http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/4F02A071E193B0DEB833673E81ED0CC7.cache.html:232522:92)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919    at com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V (http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/4F02A071E193B0DEB833673E81ED0CC7.cache.html:7233:14)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919    at Object.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V [as onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V] (http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/4F02A071E193B0DEB833673E81ED0CC7.cache.html:7531:5)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919    at XMLHttpRequest.<anonymous> (http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/4F02A071E193B0DEB833673E81ED0CC7.cache.html:20368:13)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919    at com_google_gwt_core_client_impl_Impl_apply__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2 (http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/4F02A071E193B0DEB833673E81ED0CC7.cache.html:3753:23)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919    at Unknown.org_rhq_core_domain_common_ProductInfo_$getName__Lorg_rhq_core_domain_common_ProductInfo_2Ljava_lang_String_2(Unknown source:0)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919    at Unknown.org_rhq_enterprise_gui_coregui_client_LoginView_$showRegistrationDialog__Lorg_rhq_enterprise_gui_coregui_client_LoginView_2Ljava_lang_String_2Ljava_lang_String_2Ljava_lang_String_2Lcom_google_gwt_user_client_rpc_AsyncCallback_2V(Unknown source:0)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919    at Unknown.org_rhq_enterprise_gui_coregui_client_UserSessionManager$4$1_$onSuccess__Lorg_rhq_enterprise_gui_coregui_client_UserSessionManager$4$1_2Lorg_rhq_core_domain_util_PageList_2V(Unknown source:0)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919    at Unknown.org_rhq_enterprise_gui_coregui_client_UserSessionManager$4$1_onSuccess__Ljava_lang_Object_2V(Unknown source:0)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919    at Unknown.com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919    at Unknown.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919    at Unknown.com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V(Unknown source:0)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919    at Unknown.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(Unknown source:0)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919    at Unknown.<anonymous>(Unknown source:0)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919    at Unknown.com_google_gwt_core_client_impl_Impl_apply__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
4F02A071E193B0DEB833673E81ED0CC7.cache.html:1919(-:-) 2012-01-25 23:46:51,475 [INFO ] Session timer expired.
--------
Comment 2 Simeon Pinder 2012-01-26 17:46:24 EST
A workaround is to first login with RHQ(non-LDAP) credentials first but that diminishes the purpose of LDAP integration.

However, the fix has been pushed to RHQ master with commit 42b9f09016e and will need to be cherry-picked to release/jon3.0.x branch.

Moving to ON_QA for verification, but needs to be QA'd in JON 3.0.1 as well.
Comment 3 Charles Crouch 2012-01-30 15:34:46 EST
*** Bug 772640 has been marked as a duplicate of this bug. ***
Comment 4 Mike Foley 2012-01-31 13:30:49 EST
testing done in jon 3.01 branch

  - LDAP Role mapping without SSL:    
https://tcms.engineering.redhat.com/run/33188/

  - LDAP Role mapping with SSL:      
https://tcms.engineering.redhat.com/run/33182/
Comment 5 Heiko W. Rupp 2013-08-31 06:15:38 EDT
Bulk close of old bugs in VERIFIED state.